<template>
    <div class="uk-flex uk-flex-center">
        <div class="probleme-container" id="probleme-container" v-if="probleme">
            <TitreProbleme
                :typeExercice="'Libertes'"
                :niveau="probleme.niveau"
            />
            <Goban
                ref="goban"
                :id="probleme.id"
                :situationInitiale="probleme.getSituationInitiale()"
                :marqueursInitiaux="probleme.getMarqueursInitiaux()"
                :solution="probleme.getSolutions()"
                :position="probleme.position"
                @envoyerResultat="envoyerResultat"
            />
            <Actions
                :probleme="probleme"
                :isProfilProfesseur="isProfilProfesseur"
            />
            <transition name="component-fade" mode="out-in">
                <Instructions
                    ref="instructions"
                    :premierCommentaire="probleme.getCommentaire()"
                />
            </transition>
        </div>
    </div>
</template>

<script lang="ts">
import Component, { mixins } from 'vue-class-component';
import { Prop } from 'vue-property-decorator';
import Goban from './GobanLibertes.vue';
import Actions from '../commun/Actions.vue';
import TitreProbleme from '../commun/TitreProbleme.vue';
import Instructions from '../commun/Instructions.vue';
import AffichageProbleme from '../commun/AffichageProbleme.vue';
import UIkit from 'uikit';
import Axios from '@/auth/axiosAuth';
import ComptageLibertes from '@/classes/ComptageLibertes';
import ExperienceUtilisateur from '@/classes/ExperienceUtilisateur';

@Component({
    components: { Goban, Actions, TitreProbleme, Instructions }
})
export default class AffichageLibertes extends mixins(AffichageProbleme) {
    @Prop() probleme: ComptageLibertes;
    @Prop() isProfilProfesseur: boolean;

    // mounted() {
    //     const experience: ExperienceUtilisateur = this.$auth.user.getExperience();
    //     if (!experience.getLibertes()) {
    //         UIkit.modal('#' + this.getTitreModal(this.probleme)).show();
    //         Axios.post(
    //             'utilisateur/experience/libertes/' + this.$auth.user.id,
    //             () => (experience.setLibertes(true))
    //         );
    //     }
    // }
}
</script>
